Page MenuHomePhabricator

[Polly][Isl] Stop using isl::set::lex_le_set. NFC
ClosedPublic

Authored by patacca on Jul 19 2021, 6:00 AM.

Details

Summary

This is part of an effort to reduce the differences between the custom C++ bindings used right now by polly in lib/External/isl/include/isl/isl-noxceptions.h and the official isl C++ interface.

Changes made:

Diff Detail

Event Timeline

patacca created this revision.Jul 19 2021, 6:00 AM
patacca published this revision for review.Jul 19 2021, 6:04 AM
patacca edited the summary of this revision. (Show Details)
patacca added a reviewer: Meinersbur.
patacca added a project: Restricted Project.
Herald added a project: Restricted Project. · View Herald TranscriptJul 19 2021, 6:04 AM
Meinersbur accepted this revision.Jul 19 2021, 6:41 AM

LGTM.

Are you going to do the same for lex_ge_set, lex_gt_set and lex_lt_set?

This revision is now accepted and ready to land.Jul 19 2021, 6:41 AM
bmahjour removed a subscriber: bmahjour.Jul 19 2021, 7:24 AM

This is to my knowledge the only usage of lex_*_set.
In ScopBuilder.cpp we are using isl::map::lex_le that is not exported as well but I think I will rewrite it by using isl::map::set_lex_le_at in another revision

This revision was automatically updated to reflect the committed changes.